MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024363Open CASCADE[OCCT] OCCT:Testspublic2013-11-15 11:282015-06-10 09:04
Reporterkgv 
Assigned Tokgv 
PriorityhighSeveritymajor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024363: Automated Tests - optimize testing environment for visualization tests
DescriptionThere are several issues observed during testing OCCT on currently used versions of Mesa on Windows (Mesa 7.8.2, GDI) and Linux (Mesa 9.1, X11).

Initially, it was proposed to consider evaluation of newer Mesa releases. However, efforts needed to build up-to-date Mesa and to make it work (especially under Windows) are inadequately high and are likely to require creation of our own Mesa clone.

Meanwhile, the time spent by DTN visualization team on analysis of false visualization bugs actually located inside Mesa grows constantly, especially as soon as we try to use modern OpenGL capabilities inside OCCT. Usage of Mesa for automatic visualization testing becomes too expensive.

Thus the only reasonable compromise is to use dedicated physical workstations (Linux and Windows) with physical mid-range graphic hardware for automatic execution of OCCT visualization tests.

An reasonable option for graphic hardware is to consider OpenCL support so as to test the OCCT ray tracing functionality.

Hardware requirements for the workstations used for visualization testing can be refined afterwards, as soon as we accumulate some usage experience mostly related to testing performance.
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0023668closedkgv Open CASCADE OCCT automated testing: Using Mesa3d for 3D visualization on virtual Windows machines 
related to 0024345closedbugmaster Open CASCADE TKOpenGl - GLSL compatibility issues on NV40 (GeForce 6xxx/7xxx) 
related to 0024310closedabv Open CASCADE TKOpenGl - GLSL compatibility issues 
related to 0024589closedbugmaster Open CASCADE Draw Harness - disable floating-point exceptions by default 
related to 0026329closedkgv Open CASCADE Restore floating point signals handling in DRAW 

-  Notes
(0026917)
kgv (developer)
2013-11-26 12:49

Please notice, that there are many complains about GLSL issues when used current LLVM 3.3 release, and most of them should be already fixed in working version (but unfortunately LLVM 3.4 is not yet released).
(0028115)
kgv (developer)
2014-03-04 11:57

Note that within FPE exceptions disabled (0024589) it is quite possible to use recent Mesa releases.

Here can be found useful pre-build binaries created by Mingw using LLVM 3.4/3.5 ("mingw-w64-x86_64-Mesa-10.0.0-2-any.pkg.tar.xz" checked for example):
http://www.mirrorservice.org/sites/downloads.sourceforge.net/m/ms/msys2/REPOS/MINGW/ [^]
  GLdevice    = 'Gallium 0.4 on llvmpipe (LLVM 3.4, 256 bits)'
  GLversion   = '2.1 Mesa 10.0.2 (git-675cd84)'
  GLSLversion = '1.30'
  GLdebug     =  ON
(0032185)
abv (manager)
2014-09-26 09:19

Please check if this issue is still relevant, after integration of 0024589
(0032230)
bugmaster (administrator)
2014-09-26 14:07

After request of Visualization team execution of all the Visualization tests have been moved form virtual station to real hardware on Windows and Linux platforms
(0032236)
kgv (developer)
2014-09-26 14:38

> After request of Visualization team execution of all the Visualization tests
> have been moved form virtual station to real hardware on Windows and Linux platforms

Dear bugmaster, this statement is not completely true - some test grids creating 3D viewer snapshots are regularly executed on MS OpenGL implementation.

Please consider reliability to perform tests on virtual machine using recent Mesa library builds (e.g. compare tests execution time, snapshots stability, tests failures).
(0032511)
bugmaster (administrator)
2014-10-01 15:30
edited on: 2014-10-01 15:30

OCCT has been tested on Windows with Mesa 10.2.4-1.
Draw[1]> OpenGL info:
  GLvendor = 'VMware, Inc.'
  GLdevice = 'Gallium 0.4 on llvmpipe (LLVM 3.4, 256 bits)'
  GLversion = '3.0 Mesa 10.2.4 (git-d92815a)'
  GLSLversion = '1.30'
  GLdebug = ON
Results:
1. No regressions
2. A slight improvement in performance were noted

All Jenkins systems have been moved to new messa

(0032518)
bugmaster (administrator)
2014-10-01 16:39

JFYI

I tried to test occt visualization on virtual stations with new Mesa.
The some problems were detected.
See link below.

http://jenkins-test-04.nnov.opencascade.com:8080/job/mnt-master-master_occt_tests_windows_vis_start/3/ [^]

- Issue History
Date Modified Username Field Change
2013-11-15 11:28 kgv New Issue
2013-11-15 11:28 kgv Assigned To => mkv
2013-11-15 11:28 kgv Relationship added related to 0023668
2013-11-15 11:29 kgv Relationship added related to 0024345
2013-11-15 11:29 kgv Relationship added related to 0024310
2013-11-26 12:42 bugmaster Assigned To mkv => bugmaster
2013-11-26 12:49 kgv Note Added: 0026917
2013-11-28 17:11 san Priority normal => high
2013-11-28 17:11 san Severity minor => major
2013-11-28 17:11 san Summary Automated Tests - migrate to newer OpenGL software implementation => Automated Tests - optimize testing environment for visualization tests
2013-11-28 17:11 san Description Updated View Revisions
2013-11-28 17:13 san Description Updated View Revisions
2014-03-04 11:52 kgv Relationship added related to 0024589
2014-03-04 11:57 kgv Note Added: 0028115
2014-04-04 18:09 abv Target Version 6.7.1 => 6.8.0
2014-09-26 09:19 abv Note Added: 0032185
2014-09-26 09:19 abv Status new => feedback
2014-09-26 14:07 bugmaster Note Added: 0032230
2014-09-26 14:07 bugmaster Status feedback => tested
2014-09-26 14:07 bugmaster Status tested => verified
2014-09-26 14:07 bugmaster Resolution open => fixed
2014-09-26 14:38 kgv Note Added: 0032236
2014-09-26 14:38 kgv Status verified => feedback
2014-10-01 15:30 bugmaster Note Added: 0032511
2014-10-01 15:30 bugmaster Status feedback => tested
2014-10-01 15:30 bugmaster Note Edited: 0032511 View Revisions
2014-10-01 15:35 bugmaster Status tested => verified
2014-10-01 15:35 bugmaster Assigned To bugmaster => kgv
2014-10-01 16:39 bugmaster Note Added: 0032518
2014-11-11 12:44 aiv Fixed in Version => 6.8.0
2014-11-11 12:59 aiv Status verified => closed
2015-02-05 08:55 kgv Relationship added related to 0025091
2015-06-10 09:04 kgv Relationship added related to 0026329


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker